/*
     $Revision$
     $Id$

     File:          fac_report.js
*/
$(document).ready(function () {
    setTimeout("init_reportx()", 100);
  });

function init_reportx()
{
    $("#graph").change(function() {change_graph(); });
    if ($("#graph").val() != 0)
        $("#graph_type").addClass("required");
}

function change_graph()
{
    if ($("#graph").val() == 0)
    {
        $("#graph_type").removeClass("required");
        $("#graph_type").val(null);
        $("#graph_type").prepend("<option value='0' selected='selected'></option>");
    }
    else
    {
        $("#graph_type").addClass("required");
        $("#graph_type option[value='0']").remove();
    }
}

function show_report(key)
{
    var url = "appl/fac/fac_report.asp?usrrap_key=" + key;
    FcltMgr.openDetail(url);
}

function clone_report(key)
{
    FcltMgr.confirm(L("lcl_usrrap_clone_confirm"), function() {
        var url = "appl/fac/fac_usrrapx_clone.asp?usrrap_key=" + key;
        FcltMgr.openDetail(url);
    });
}
